It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like:Chrome,Firefox,Internet Explorer orOpera

×
Installed from an original retail release BG2 and ToB install, and an original BG:TotSC bundle, when the bundle was first released. I followed the instructions in the sticky, and any time I try to start a BG1 game, and talk to an NPC, I'm given this message.

If the game doesn't start with this issue, it manifests as soon as I encounter any forced dialogue (Gatekeeper, Imoen, the guy who talks to you after the assassin encounter in the small house).

Any suggestions?
At the top of your option screen does it show version 2.5.26498?

Or in your BG2 directory you should have a Readme_Addon_Patch.txt with that version number.
I have had this problem sometimes. For me, the "fix" was to quicksave and then load. When I load, I can usually start the dialogue (sometimes,I had to load several times though),
avatar
javihyuga: I have had this problem sometimes. For me, the "fix" was to quicksave and then load. When I load, I can usually start the dialogue (sometimes,I had to load several times though),
Is yours the disk version?
Have you applied all the patches.
The Readme_Addon_patch.txt claims 26498 fixed that.
avatar
javihyuga: I have had this problem sometimes. For me, the "fix" was to quicksave and then load. When I load, I can usually start the dialogue (sometimes,I had to load several times though),
avatar
olnorton: Is yours the disk version?
Have you applied all the patches.
The Readme_Addon_patch.txt claims 26498 fixed that.
Yup. Before buying gog's edition, I played with the 1 Box 4 Games Edition (The one including both games with expansions) which comes patched (at least for the first one) and with some bugfixes and had that problem. But, at least for me, quicksaving and loading solved the issue.
avatar
olnorton: At the top of your option screen does it show version 2.5.26498?

Or in your BG2 directory you should have a with that version number.
It doesn't show anything in my options screen, nor is there a . There is, however just a normal , which lists the version as Release Version 2.5.26461.

This is after installing SoA and ToB, but prior to installing any mods.

As for quicksaving and quickloading...If that fixes it, the probability of it fixing it must be far lower than I was willing to endure - I quickloaded, and loaded the same game, at least 5 times without any change.

Is there a trustworthy place to get the patches, given that Bioware doesn't have them, and Interplay/Black Isle don't exist anymore?

I'm off to try my Google-fu, however, so hopefully I have a solution before you get back.

Thanks for the lead on a possible solution, however!

EDIT:
Found the patch, now I'm going to install all the mods (This was all from a fresh install, I uninstalled after posting this message, figuring that I'd need a clean install to apply any fixes), and see if the situation has been rectified.
Post edited January 21, 2013 by Magic1408
You need to install & then patch all your games in order, not just TOB.
as in 2:3 this thread, the links still work.

http://www.shsforums.net/topic/41036-faq-for-the-megamods/
Tentatively, this seems to have been the solution.

Thanks for all the help!
avatar
olnorton: You need to install & then patch all your games in order, not just TOB.
as in 2:3 this thread, the links still work.

[url=
I'm using all the mods in...In a link that doesn't seem to want to post. The 'Essential BG mods' sticky - I encountered it from the link in the GOG summary for BG2 in the store, which omits the tidbit about updating the game.

Ten minutes into a new game of BG1 (Played using BGT), after updating BG2/TOB to the version you asked about above, and everything seems to be kosher. Hopefully this holds true, or am I overlooking some other glaring deficiency?
Post edited January 21, 2013 by Magic1408
avatar
Magic1408: I'm using all the mods in...In a link that doesn't seem to want to post. The 'Essential BG mods' sticky - I encountered it from the link in the GOG summary for BG2 in the store, which omits the tidbit about updating the game.
That assumes you are using the GOG version which comes fully patched.
avatar
Magic1408: Ten minutes into a new game of BG1 (Played using BGT), after updating BG2/TOB to the version you asked about above, and everything seems to be kosher. Hopefully this holds true, or am I overlooking some other glaring deficiency?
It was the TOB patch that fixed the particular problem you were having, but the previous patches fixed other problems & the TOB patch assumes all previous patches are done.
You need each game installed & patched in order, for BGT to work properly.

It seems like a PITA, but I would do yet another complete reinstall & get it right before you start to avoid annoying bugs down the track.
Ugh, it is indeed a PITA, but thanks for the help!

Uninstalling...